Get Project Tasks
curl --request GET \
--url https://api.everhour.com/projects/{project_id}/tasks \
--header 'X-Api-Key: <api-key>'import requests
url = "https://api.everhour.com/projects/{project_id}/tasks"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.everhour.com/projects/{project_id}/tasks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "ev:9876543210",
"name": "Task Name",
"projects": [
"ev:1234567890"
],
"section": 1234,
"labels": [
"high",
"bug"
],
"position": 1,
"description": "<string>",
"dueAt": "2018-03-05 16:00:00",
"status": "open",
"time": {
"total": 7200,
"users": {
"1304": 3600,
"1543": 3600
}
},
"estimate": {
"total": 7200,
"type": "overall",
"users": {
"1304": 3600,
"1543": 3600
}
},
"attributes": {
"Client": "Everhour",
"Priority": "high"
},
"metrics": {
"efforts": 42,
"expenses": 199
},
"unbillable": true
}
]Tasks
Get Project Tasks
List tasks in a project. By default all tasks are returned; set exclude-closed=true to hide closed/completed tasks. See Pagination for limit/page rules.
GET
/
projects
/
{project_id}
/
tasks
Get Project Tasks
Authorizations
Path Parameters
Project ID
Example:
"ev:1234567789001"
Query Parameters
Results page
Example:
1
Tasks per page, 250 max
Example:
250
Exclude closed/completed tasks
Example:
false
Search tasks by name
Example:
"Management"
Response
OK
Example:
"ev:9876543210"
Example:
"Task Name"
List of projects ID
Example:
["ev:1234567890"]
Section ID
Example:
1234
Example:
["high", "bug"]
Example:
1
Format: Y-m-d H:i:s
Example:
"2018-03-05 16:00:00"
Available options:
open, closed Example:
"open"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Custom attributes from integration
Show child attributes
Show child attributes
Example:
{ "Client": "Everhour", "Priority": "high" }
Custom metrics from integration
Show child attributes
Show child attributes
Example:
{ "efforts": 42, "expenses": 199 }
